Apache log4cxx: UniCharMessageBuffer Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# UniCharMessageBuffer Class Reference

List of all members.

## Detailed Description

This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use.

## Public Types
typedef std::basic_ostream< UniChar > | uostream
## Public Member Functions
| UniCharMessageBuffer ()
| Creates a new instance.
| ~UniCharMessageBuffer ()
| Destructor.
UniCharMessageBuffer & | operator<< (const std::basic_string< UniChar > &msg)
| Appends string to buffer.
UniCharMessageBuffer & | operator<< (const UniChar *msg)
| Appends string to buffer.
UniCharMessageBuffer & | operator<< (UniChar *msg)
| Appends string to buffer.
UniCharMessageBuffer & | operator<< (const UniChar msg)
| Appends character to buffer.
UniCharMessageBuffer & | operator<< (const CFStringRef &msg)
| Appends a string into the buffer and fixes the buffer to use char characters.
uostream & | operator<< (ios_base_manip manip)
| Insertion operator for STL manipulators such as std::fixed.
uostream & | operator<< (bool val)
| Insertion operator for built-in type.
uostream & | operator<< (short val)
| Insertion operator for built-in type.
uostream & | operator<< (int val)
| Insertion operator for built-in type.
uostream & | operator<< (unsigned int val)
| Insertion operator for built-in type.
uostream & | operator<< (long val)
| Insertion operator for built-in type.
uostream & | operator<< (unsigned long val)
| Insertion operator for built-in type.
uostream & | operator<< (float val)
| Insertion operator for built-in type.
uostream & | operator<< (double val)
| Insertion operator for built-in type.
uostream & | operator<< (long double val)
| Insertion operator for built-in type.
uostream & | operator<< (void *val)
| Insertion operator for built-in type.
| operator uostream & ()
| Cast to ostream.
const std::basic_string< UniChar > & | str (uostream &os)
| Get content of buffer.
const std::basic_string< UniChar > & | str (UniCharMessageBuffer &buf)
| Get content of buffer.
bool | hasStream () const
| Returns true if buffer has an encapsulated STL stream.

## Member Typedef Documentation

typedef std::basic_ostream<UniChar> uostream

## Constructor & Destructor Documentation

UniCharMessageBuffer | ( |  | ) |

| Creates a new instance.

~UniCharMessageBuffer | ( |  | ) |

| Destructor.

## Member Function Documentation

bool hasStream | ( |  | ) | const

| Returns true if buffer has an encapsulated STL stream. Returns: true if STL stream was created.

operator uostream & | ( |  | ) |

| Cast to ostream.

uostream& operator<< | ( | void * | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | long double | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | double | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | float | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | unsigned long | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | long | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | unsigned int | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | int | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | short | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | bool | val | ) |

  | Insertion operator for built-in type. Parameters:
  | val | build in type.
Returns: encapsulated STL stream.

uostream& operator<< | ( | ios_base_manip | manip | ) |

  | Insertion operator for STL manipulators such as std::fixed. Parameters:
  | manip | manipulator.
Returns: encapsulated STL stream.

UniCharMessageBuffer& operator<< | ( | const CFStringRef & | msg | ) |

  | Appends a string into the buffer and fixes the buffer to use char characters. Parameters:
  | msg | message to append.
Returns: encapsulated CharMessageBuffer.

UniCharMessageBuffer& operator<< | ( | const UniChar | msg | ) |

  | Appends character to buffer. Parameters:
  | msg | character to append.
Returns: this buffer.

UniCharMessageBuffer& operator<< | ( | UniChar * | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string to append.
Returns: this buffer.

UniCharMessageBuffer& operator<< | ( | const UniChar * | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string to append.
Returns: this buffer.

UniCharMessageBuffer& operator<< | ( | const std::basic_string< UniChar > & | msg | ) |

  | Appends string to buffer. Parameters:
  | msg | string append.
Returns: this buffer.

const std::basic_string<UniChar>& str | ( | UniCharMessageBuffer & | buf | ) |

  | Get content of buffer. Parameters:
  | buf | used only to signal that the embedded stream was not used.

const std::basic_string<UniChar>& str | ( | uostream & | os | ) |

  | Get content of buffer. Parameters:
  | os | used only to signal that the embedded stream was used.

The documentation for this class was generated from the following file:

- messagebuffer.h